Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class QueryImpl.RemoveOnCloseResultList

    java.lang.Object
      org.apache.openjpa.kernel.QueryImpl.RemoveOnCloseResultList

All Implemented Interfaces:
  Serializable, Iterable, Collection, List, ResultList, Closeable

Enclosing class:
  QueryImpl

    public class QueryImpl.RemoveOnCloseResultList

extends Object
implements ResultList

Result list that removes itself from the query's open result list when it is closed. Public for testing.

See Also:
  Serialized Form

Constructor Summary
`QueryImpl.RemoveOnCloseResultList(ResultList res)`

Method Summary
`void` | `add(int idx, Object o)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int idx, Collection c)`
`void` | `clear()`
`void` | `close()` Close the list.
`void` | `close(boolean remove)`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`boolean` | `equals(Object o)`
`Object` | `get(int idx)`
`ResultList` | `getDelegate()`
`Object` | `getUserObject()` Get the opaque user object attached to this receiver.
`int` | `hashCode()`
`int` | `indexOf(Object o)`
`boolean` | `isClosed()` Returns true if the list has been closed.
`boolean` | `isEmpty()`
`boolean` | `isProviderOpen()` Returns true if the provider backing this list is open.
`Iterator` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int idx)`
`Object` | `remove(int idx)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`Object` | `set(int idx, Object o)`
`void` | `setUserObject(Object opaque)` Set the opaque user object to this receiver.
`int` | `size()`
`List` | `subList(int start, int end)`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`
`String` | `toString()`
`Object` | `writeReplace()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryImpl.RemoveOnCloseResultList

    public QueryImpl.RemoveOnCloseResultList(ResultList res)

Method Detail

### getDelegate

    public ResultList getDelegate()

### isProviderOpen

    public boolean isProviderOpen()

  Description copied from interface: `ResultList`
  Returns true if the provider backing this list is open.

  Specified by:
    `isProviderOpen` in interface `ResultList`

### getUserObject

    public Object getUserObject()

  Description copied from interface: `ResultList`
  Get the opaque user object attached to this receiver.

  Specified by:
    `getUserObject` in interface `ResultList`

### setUserObject

    public void setUserObject(Object opaque)

  Description copied from interface: `ResultList`
  Set the opaque user object to this receiver.

  Specified by:
    `setUserObject` in interface `ResultList`

### isClosed

    public boolean isClosed()

  Description copied from interface: `ResultList`
  Returns true if the list has been closed.

  Specified by:
    `isClosed` in interface `ResultList`

### close

    public void close()

  Description copied from interface: `ResultList`
  Close the list.

  Specified by:
    `close` in interface `ResultList`
  Specified by:
    `close` in interface `Closeable`

### close

    public void close(boolean remove)

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`
  Specified by:
    `isEmpty` in interface `List`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `List`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `List`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `List`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection`
  Specified by:
    `containsAll` in interface `List`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `List`

### addAll

    public boolean addAll(int idx,
                          Collection c)

  Specified by:
    `addAll` in interface `List`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`
  Specified by:
    `removeAll` in interface `List`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`
  Specified by:
    `retainAll` in interface `List`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Specified by:
    `clear` in interface `List`

### get

    public Object get(int idx)

  Specified by:
    `get` in interface `List`

### set

    public Object set(int idx,
                      Object o)

  Specified by:
    `set` in interface `List`

### add

    public void add(int idx,
                    Object o)

  Specified by:
    `add` in interface `List`

### remove

    public Object remove(int idx)

  Specified by:
    `remove` in interface `List`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int idx)

  Specified by:
    `listIterator` in interface `List`

### subList

    public List subList(int start,
                        int end)

  Specified by:
    `subList` in interface `List`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `List`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `List`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### writeReplace

    public Object writeReplace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.